%define upstream_name	 bignum
%define upstream_version 0.30

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Transparent BigNumber support for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Math::BigInt) >= 1.880.0
BuildRequires: perl(Math::BigRat) >= 0.210.0
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl-Math-BigInt >= 1.87
BuildRequires: perl-Math-BigRat >= 0.20
BuildRequires: perl-devel
Provides:   perl(bigrat)

%description
All operators (including basic math operations) are overloaded. Integer and
floating-point constants are created as proper BigInts or BigFloats,
respectively.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL5LIB=%{perl_vendorlib}
%{__perl} Makefile.PL installdirs=vendor
%make

%check
export PERL5LIB=%{perl_vendorlib}/
make test

%install
%makeinstall_std

%files
%doc BUGS CHANGES INSTALL LICENSE META.yml MYMETA.yml README SIGNATURE TODO
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/Math
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.300.0-2.mga3
+ Revision: 375387
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.300.0-1.mga3
+ Revision: 315732
- update to 0.30

  + kharec <kharec>
    - update to 0.29
    - update to 0.28

* Sat Jun 11 2011 spuhler <spuhler> 0.250.0-3.mga2
+ Revision: 104044
- increase rel for rebuild

* Mon Feb 28 2011 jquelin <jquelin> 0.250.0-2.mga1
+ Revision: 61447
- rebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.250.0-1.mga1
+ Revision: 31532
- mageia rebuild
- imported package perl-bignum

